Subject: ARMADA 370 - Distributed Switch Architecture (dsa) - device tree

From: [email-masked] (Andrew Lunn)
Date: Thu, 23 Oct 2014 16:05:57 +0200

On Thu, Oct 23, 2014 at 02:57:45PM +0200, post at twien.net wrote:
> Hello all,
> It's progressing. Have had little time to work on it lately, but
> have got the 6352 switch up and running except for port 6 (the one
> with external PHY). It's currently commented out in my device tree
> specification. Enabling port 6 in the .dts file causes the dsa setup
> to fail (error -5).

What kernel version are you using?

I recently swapped to 3.18-rc1 and my DIR665 is no longer doing
correct auto-negotiation. The interfaces come up 10/half duplex, and i
need to restart autoneg with ethtool before i get full Gbps.  So it
looks like there is something wrong with phys somewhere.

      Andrew